import { IOptimizedReportResponse } from 'peekdata-datagateway-api-sdk';
import React from 'react';
import { ISelectedNode } from 'src/ReportBuilder/models/node';
import { ITranslations } from 'src/ReportBuilder/models/translations';
import { IRgb } from 'src/ReportBuilder/utils/Color';
import 'src/style/components/dashboards.scss';
interface IProps {
    data: IOptimizedReportResponse;
    dimensions: ISelectedNode[];
    metrics: ISelectedNode[];
    t: ITranslations;
    chartColors?: IRgb[];
}
interface IState {
    selected: string;
}
export declare class Dashboards extends React.PureComponent<IProps, IState> {
    static defaultProps: {
        chartColors: {
            r: number;
            g: number;
            b: number;
        }[];
    };
    private preparedData;
    private chartBackgroundColor;
    private chartBorderColor;
    constructor(props: IProps);
    render(): JSX.Element;
    private renderChartSelector;
    private getChartOptions;
    private onSelect;
    private renderChart;
}
export {};
