import { IReportRequest } from "peekdata-datagateway-api-sdk";
import React from "react";
import { ITranslations } from "src/ReportBuilder/models/translations";
import { IAsyncState } from "src/ReportBuilder/state/action";
import { ILoadNodesPayloadRequest } from "src/ReportBuilder/state/actions";
interface IDefaultProps {
    showScopesDropdown: boolean;
    showDataModelsDropdown: boolean;
}
interface IProps extends IDefaultProps {
    scopeNames: IAsyncState<string[]>;
    dataModelNames: IAsyncState<string[]>;
    selectedScope: string;
    selectedDataModel: string;
    t: ITranslations;
    onScopeChanged: (scope: string) => void;
    onDataModelChanged: (payload: ILoadNodesPayloadRequest) => void;
    request: IReportRequest;
    onSaveReportRequest?: (request: IReportRequest) => void;
}
export declare class DataModelDropDown extends React.Component<IProps> {
    static defaultProps: IDefaultProps;
    render(): JSX.Element;
    private renderScopeDesktopTitle;
    private renderScopeDropDown;
    private renderDataModelDesktopTitle;
    private renderDataModelDropDown;
    private showSaveButton;
    private renderSaveButton;
    private onDataModelChanged;
}
export {};
