import React, { ReactNode } from 'react';
import 'src/style/components/tabs.scss';
interface IDefaultProps {
    loader: ReactNode;
}
interface IProps extends Partial<IDefaultProps> {
    id: string;
    tabsItems: ITab[];
    defaultTab?: number;
    onTabClicked?: (key: number) => void;
}
export interface ITab {
    title: string;
    content: ReactNode;
    visible: boolean;
    error?: string;
    loading?: boolean;
}
export declare class TabsControl extends React.PureComponent<IProps> {
    static defaultProps: IDefaultProps;
    render(): JSX.Element;
    private renderTabs;
    private renderTabContent;
    private onSelect;
}
export {};
