export interface IAction<TPayload = any> {
    type: string;
    payload?: TPayload;
}
export interface IAsyncState<DataType, ErrorType = string> {
    data?: DataType;
    isFetching: boolean;
    error: ErrorType;
    errorTimestamp: Date;
    timestamp?: Date;
}
export declare class AsyncState<DataType> implements IAsyncState<DataType> {
    data: any;
    isFetching: boolean;
    error: any;
    errorTimestamp: any;
    timestamp: any;
    constructor(initialData?: DataType);
}
